Subject: Re: Does VPATH work in make?
From: [email-masked] (Earnie Boyd)

2 Mar 1998 20:45:38 -0800
Message-ID: <[email-masked]>
Content-Type: text/plain
To: [email-masked]
Cc: [email-masked]

Exactly, how is the VPATH set?  Try setting it without spaces around the 
=.

There is a difference between b18 and b19 make.exe. b19 now includes an 
environment variable that you can set which changes the way it handles 
directory paths, see the README file at the ftp site.

-        \\||//
---o0O0--Earnie--0O0o----
[email-masked]
------ooo0O--O0ooo-------

Check out these great gnu-win32 related sites:
ftp://ftp.cygnus.com/pub/gnu-win32/latest/                  (ftp site)
http://www.cygnus.com/pubs/gnupro/                    (Comercial Page)
http://www.cygnus.com/misc/gnu-win32/                   (Project Page)
http://www.cygnus.com/ml/gnu-win32                     (Mail Archives)
http://www.itribe.net/virtunix/winhelp-man-pages/     (HTML Man Pages)
http://www.lexa.ru/sos                               (Sergey Okhapkin)
ftp://www.lexa.ru/pub/domestic/sos/                (Sergey's ftp site)
http://www.fu.is.saga-u.ac.jp/~colin/gcc.html           (Colin Peters)
http://www.xraylith.wisc.edu/~khan/software/gnu-win32/    (Mumit Khan)
http://gnu-win32.paranoia.ru                   (Chuck Bogorad's ports)
ftp://ftp.deninc.com/pub (Den Internet Services - US mirror and ports)
http://www.bestweb.net/~aka/gnu-win32/  (GNU-Win32 Bash Configuration)
http://rcw.home.ml.org/                  (Rob Warner - software ports)
http://www.wenet.net/~garbanzo/gnuwin32/     (more - software portals)
http://www.wenet.net/~garbanzo/gnuwin32/rpm   (Redhat Package Manager)

SEARCH ENGINES WITH gnu-win32 mail archive RELATED INDICIES:
http://www.findmail.com
http://www.search.com

add gnu-win32 or gnuwin32 to the search criteria.

>Date: Sat, 28 Feb 1998 16:37:15 -0500
>To: [email-masked]
>From: Terry Colligan <[email-masked]>
>Subject: Does VPATH work in make?
>
>
>  Hi,
>
>  I'm trying to switch a *very* large DOS-based project to using
>  the GNU tools.  I have gotten most things to work with Delorie's
>  version, including the make files.  In order to keep the
>  old directory structure, I made use of the VPATH variable to
>  search multiple directories for source files.
>
>  I tried the makefile (which works under Delorie) under Beta 18 and
>  Beta 19 (today).  In both of the GNU-Win32 cases, make acts as
>  though VPATH was a no-op.  The setting is clearly there when I
>  dump the state with a 'make -p', but it has no effect.  No matter
>  what I put into VPATH, make only finds files in the current
>  directory.
>
>  I've looked through the last two months postings, the FAQ, the
>  release notes, etc. and see no mention of this.  Am I the only
>  one trying to use VPATH?
>
>------------------------------------------------------------
>Terry Colligan, President         mailto:[email-masked]
>Tenberry Software, Inc.              http://www.tenberry.com
>
>Moderator of the Software-Quality email list on producing high 
>quality software: mailto:[email-masked]. 
>
>Deliver zero-defect software -- our methods work reliably
>and can be used by most programmers in most organizations. 
>           http://www.tenberry.com/errfree.htm
>
>[email-masked]     phone(508)653-6006    fax(508)655-2753
>-
>For help on using this list (especially unsubscribing), send a message 
to
>"[email-masked]" with one line of text: "help".
>

______________________________________________________
Get Your Private, Free Email at http://www.hotmail.com
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".